Subject: Re: bug#32456: Guile failed to call package-derivation without pre-inst-env

From: [email-masked] (Ludovic Courtès)
Date: Mon, 20 Aug 2018 11:55:28 +0200

Hi,

Oleg Pykhalov <[email-masked]> skribis:

> I have an issue with ‘package-derivation’ procedure.  When I use Guile
> from my user's profile I get an error but not when I use ‘pre-inst-env’.
>
> The %load-path is differ only in /home/natsu/src/guix when pre-inst-env.
>
> guix (GNU Guix) 689aacc12f1d9c0b511e2010185b2e7a80de5201
>
> natsu@magnolia ~$ guile
> GNU Guile 2.2.4
> …
> scheme@(guile-user)> (use-modules (guix) (guix ui) (guix store))
> scheme@(guile-user)> (define c (open-connection))
> scheme@(guile-user)> (package-derivation c (@@ (gnu packages base) hello))
> guix/store.scm:928:31: In procedure add-to-store: Throw to key `srfi-34' with args `(#<condition &nix-protocol-error [message: "regular file expected" status: 1] 28703c0>)'.
> Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.

It might be that the Guix in $GUILE_LOAD_PATH is broken in some way.
Can you check which one that is?

Thanks,
Ludo’.